{ pkgs, rice, lib, user, ... }: 
let 
  trdr = "${rice.lib.float-to-drune rice.transparency}";
in
lib.mkIf (user != "tv")
{
  home.packages = with pkgs; [
    rofi-wayland
  ];
  home.file.".config/rofi/config.rasi".text = ''
    configuration {
      show-icons: false;
      display-drun: "";
      disable-history: false;
      drun-display-format: "{name} [<span weight='light' size='small'><i>({generic})</i></span>] [<span weight='light' size='small'><i>({exec})</i></span>]";
    }

    * {
      font: "${rice.font.code.name2} 12";
      foreground: ${rice.color.foreground};
      background-color: ${rice.color.background}${trdr};
      padding: 0px;
      margin: 0px;
      spacing: 0px;
      border-width: 0px;
    }

    #window {
      background-color: ${rice.color.background}${trdr};
      border: ${builtins.toString rice.border-width}px;
      border-radius: ${builtins.toString rice.rounding};
      border-color: ${rice.color.border};
    }
    #mainbox {
      border: 0;
      padding: 0;
    }
    #message {
      border: 0px;
    }
    #textbox {
      text-color: ${rice.color.foreground};
    }
    #listview {
      fixed-height: 0;
      border: 0px;
      spacing: 0px ;
      scrollbar: false;
      padding: 0px;
    }



    #element {
      border: 0;
      padding: 0px;
      border-radius: ${if rice.rounding > 0 then "2" else "0"}px;
    }

    #element.normal.normal    { background-color: ${rice.color.background}${trdr};    text-color: ${rice.color.accent.base}; }
    #element.selected.normal  { background-color: ${rice.color.tertiary.base}${trdr}; text-color: ${rice.color.background}; }
    #element.alternate.normal { background-color: ${rice.color.background}${trdr};    text-color: ${rice.color.secondary.base}; }


    #scrollbar {
      width: ${builtins.toString rice.border-width}px ;
      border: 0;
      handle-width: 8px ;
      padding: 0;
    }
    #sidebar {
      border: ${builtins.toString rice.border-width}px dash;
    }
    #button.selected {
      text-color: ${rice.color.foreground};
    }
    #inputbar {
      spacing: 0;
      text-color: ${rice.color.background};
      background-color: ${rice.color.accent.base}${trdr};
      padding: 0;
      margine-bottom: 2px;
      children: [ prompt,textbox-prompt-colon,entry,case-indicator ];
    }
    #prompt {
      spacing: 0;
      background-color: transparent;
      text-color: ${rice.color.foreground};
    }
    #textbox-prompt-colon {
      expand: false;
      str: ">";
      margin: 0px 0.3em 0em 0em ;
      text-color: ${rice.color.background};
      background-color: transparent;
    }
    #case-indicator {
      spacing: 0;
      text-color: ${rice.color.foreground};
      background-color: transparent;
    }
    #entry {
      spacing: 0;
      text-color: ${rice.color.background};
      background-color: transparent;
      placeholder: "";
    }

    element-text, element-icon {
      background-color: inherit;
      text-color: inherit;
    }
  '';
}
